#jinja2: lstrip_blocks: True, trim_blocks: True
{% if static_resolv_conf_file is defined and
      static_resolv_conf_file['content'] is defined and
      static_resolv_conf_file['content']|string > 0 %}
# {{ ansible_managed }}
{%   for nameserver in resolv_config_nameservers_list %}
{%     if not (static_resolv_conf_file['content']|b64decode is search('nameserver ' ~ nameserver|string)) %}
nameserver {{ nameserver|string }}
{%     endif %}
{%   endfor %}
{%   if resolv_config_search_list|length > 0 %}
{%     if not (static_resolv_conf_file['content']|b64decode is search('search \w+\.\w+')) %}
search {{ resolv_config_search_list|join(' ') }}
{%     endif %}
{%   endif %}
{%   if resolv_config_domain|string|length > 0 %}
{%     if not (static_resolv_conf_file['content']|b64decode is search('domain \w+\.\w+')) %}
domain {{ resolv_config_domain|string }}
{%     endif %}
{%   endif %}
{%   if resolv_config_options_list|length > 0 %}
{%     if not (static_resolv_conf_file['content']|b64decode is search('options \w+')) %}
options {{ resolv_config_options_list|join(' ') }}
{%     endif %}
{%   endif %}
{% endif %}
